Patrice Palmier -NL- REAL TIME EMBEDDED SOFTWARE ENGINEER -NL- 41, **`Merrick Close`[NAME]** -NL- Stevenage, SG1 6GH, Hertfordshire, UK -NL- E-mail: **`ppalmier.lcars.ufp@gmail.com`[EMAILS_EMAIL]** -NL- **`OBJECTIVE`[SUMMARY_HEADING]** -NL- I am an expert in real-time software engineering having a great experience in aero- -NL- nautical and military embedded systems. I am Looking for a new role in similar -NL- ﬁelds as well as in new areas like AI and Robotics, enabling me to improve my -NL- skills as a system architect. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`Networking and Telecommunications Engineer specialist`[EDUCATION_COURSE]**, -NL- 1991 -NL- **`ESI SupInfo, Montreuil, France.`[EDUCATION_INSTITUTE]** -NL- **`Computer engineer`[EDUCATION_COURSE]** from ESI (Ecole Supérieure d’Informatique), -NL- 1990 -NL- **`ESI SupInfo, Montreuil, France.`[EDUCATION_INSTITUTE]** -NL- COMPUTER -NL- Expertise in realtime embbeded systems design and development using SART -NL- • -NL- **`SKILLS`[SKILLS_HEADING]** -NL- and SADT methodological tools. -NL- • Expertise in developing drivers, OS and middleware for embedded systems. -NL- • Linux skills, and real-time Linux kernel facilities. -NL- Langages: C, C++, ADA, JAVA/JNI, UML, Prolog. -NL- Hardware: MVME6100, MVME2604, PowerPC, Motorola 68K, x86, TMS-320C32, -NL- SCC8530, 4Links, Star Dundee, ARM7-TDMI-S. -NL- Linux: Kernel+RT extensions, Xenomai, Slackware, RedHat. -NL- RTOS: VxWorks, VRTX, LynxOS, PowerMax OS, RTEMS, HP-RT, uC-OS II. -NL- Code Proﬁling: GPROF, Tornado, LCOV. -NL- Networks & Protocols: IEEE 1355 (Spacewire) MIL-STD-1553, VME, Ethernet -NL- (TCP/IP V4, MODBUS/TCP, SNMP), RS485, RS422, RS232, IEEE488, ARINC-429, -NL- WLAN 802.11 bg, H.323, OBDH. -NL- WWW Technologies: PHP 4&5, XML, Perl, CSS, Apache-Tomcat, JAVA/JSP, Python, -NL- Docker/Container Swarm, Kubernetes. -NL- Standards and norms: DOD-2167A, CMM level 3, ISO-9001, MACH, SADT, SART, -NL- DARTS, Scrum/Sprints. -NL- Databases: MySQL, PostgresSQL. -NL- Conﬁguration management: CVS, Clearcase, Subversion, OCS-Inventory NG. -NL- Tools: TEAMWORK/SART, MICROTEC, MS-Project, Lex & Yacc, MATLAB/Simulink, -NL- RTRT, Lauterbach, RVCT, TSIM, VMWare. -NL- PROFESSIONAL EXPERIENCE **`Real time Software Engineer`[EMPLOYER_ROLE]** -NL- August 2016 to Date -NL- **`Airbus`[EMPLOYER_COMPANY_NAME]**, Stevenage, UK. -NL- • Performed Integration of a spacecraft realtime test bench within Spacewire, -NL- MIL-STD-1553, analog and discrete I/O for the Solar Orbiter project. -NL- • Performed Virtualization of the realtime test bench using low level stubs as a -NL- substitution of the hardware IO interface. -NL- • Set up VMWare virtual machines within Linux PREEMPT_RT for numerical -NL- satellite simulator operation. -NL- • Performed R&T activities about a constellation of 500 satellites simulators -NL- design based on Docker/Container technologies. -NL- **`Real time Software Engineer`[EMPLOYER_ROLE]** -NL- April 2012 to August 2016 -NL- **`Thales Alenia Space`[EMPLOYER_COMPANY_NAME]**, Cannes, France. -NL- • Performed Development of a digital satellite simulator within MIL-STD-1553, -NL- OBDH and discrete I/O for Exomars, Sentinel 3, MTG and Iridium projects. -NL- • SGSE (Software Ground Simulator Equipments) manager for the Proteus COROT, -NL- JASON2, and JASON3 satellites. -NL- **`Embedded Software Engineer`[EMPLOYER_ROLE]** -NL- April 2011 to February 2012 -NL- **`Thales Safare`[EMPLOYER_COMPANY_NAME]**, Valbonne, France. -NL- • Performed Design and development of a naval multimedia communication -NL- system for surface ships and submarines. -NL- **`Software Architect`[EMPLOYER_ROLE]** -NL- November 2010 to April 2011 -NL- **`Riviera Waves`[EMPLOYER_COMPANY_NAME]**, Biot, France. -NL- • Performed Design and development of an onboard wireless communication -NL- system intended for system monitoring in Japanese electrical plants, and for -NL- Renesas company. -NL- **`Software Architect`[EMPLOYER_ROLE]** -NL- May 2010 to October 2010 -NL- **`Eurocopter, Marignane`[EMPLOYER_COMPANY_NAME]**, France. -NL- • Design and development of an onboard computer to measure vibration on -NL- SA330 and EC175 helicopters. -NL- **`Simulators Real Time Manager `[EMPLOYER_ROLE]**-NL- December 2006 to April 2010 -NL- **`Thales-Alenia-Space`[EMPLOYER_COMPANY_NAME]**, Cannes, France. -NL- • Operational maintenance of Flight Simulators and Software Functional Net- -NL- works for scientiﬁc satellites. -NL- • Pre-study and development of high speed communication bus: ESA/SpaceWire. -NL- **`Real Time Engineer consultant`[EMPLOYER_ROLE]** -NL- January 1991 to October 2006 -NL- Different missions as Embedded Software Developer and Real Time Engineer in -NL- companies such as EADS, SNECMA, MATRA, THOMSON CSF, HP, SAGEM & -NL- CS-Defense in Paris, France. -NL- Achievements: -NL- • Performed operational maintenance of software for real-time simulation of -NL- ﬂights - Ariane 5 Project, EADS. -NL- • Conducted and developed military real-time software entitled Secret Defense -NL- - M51 Project, EADS. -NL- • Conducted and performed integration testing for real-time software - SIR -NL- Project, THOMSON CSF. -NL- • Conducted and developed real-time software - DAEUB Project, CS-Defense. -NL- • Developed embedded software - IRIS / NG Project, SAGEM. -NL- • Developed skeletons for API used on SMP computer, THOMSON CSF. -NL- • Wrote asynchronous communication protocols for communication gateway, -NL- HP. -NL- • Deﬁned a SART model - CCT-N4 Project, EDF/DER. -NL- • Performed integration testing - FOX Project, THOMSON CSF. -NL- • Developed a real-time software - BREVEL Project, MATRA. -NL- • Consolidated the BEMD software - LECLERC Tank Project, GIAT Industries. -NL- • Developed synchronous and asynchronous handlers for multi-protocol router, -NL- THOMSON CSF. -NL- • Developed software modules for motors servitude - C01 Rafale and Mirage -NL- 2000, SNECMA. -NL- Technical Environment: C, VxWorks, HP-RT, PowerPC (LynxOS), PowerHawk (Pow- -NL- erMaxOS), Attol Systems Test, HP Logic analyzer. -NL- **`PERSONAL`[PERSONAL_DETAILS_HEADING]** -NL- Driving Licence Full, clean -NL- Pilot Certiﬁcate -NL- Boat License -NL- Proﬁcient in English. -NL- Conﬁdential and Top Secret. -NL- Conversant in Spanish. -NL- Clearances. -NL- Native language: French. -NL- EXTRA- -NL- Experiments in Computer Vision and GPGPU using CUDA on my Jetson TK1 -NL- • -NL- **`CURRICULAR`[OTHERS_HEADING]** -NL- development board within embedded Linux PREEMPT. -NL- ACTIVITIES -NL- • Experiments on perceptron implementation on GPU using Haskell functional -NL- programming language. -NL- • Active standby on the progress of the Linux community, including projects -NL- around Haskell/Atom, RT-Linux. -NL- • Experiments in RTEMS development chain under Linux. Tests experiments -NL- on QEMU emulator. -NL- • Installation and testing of various Linux ﬂavours (Debian, RedHat, Ubuntu, -NL- Slackware) and BSD* on x86. -NL- • Enjoy ﬂying, travelling, and going to the cinema. -NL- Last updated: October 10, 2018 -NL- 